classification
Title: ast.c: end_col_offset may be used uninitialized in this function
Type: compile error Stage: resolved
Components: Interpreter Core Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: emilyemorehouse, levkivskyi, vstinner
Priority: normal Keywords: patch, patch, patch

Created on 2019-02-01 11:22 by vstinner, last changed 2019-02-11 11:31 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11735 merged levkivskyi, 2019-02-02 13:23
PR 11735 merged levkivskyi, 2019-02-02 13:23
PR 11735 merged levkivskyi, 2019-02-02 13:23
Messages (2)
msg334670 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-02-01 11:22
https://buildbot.python.org/all/#builders/103/builds/2023

There are many "end_col_offset may be used uninitialized in this function" warnings. Example:

In file included from Python/ast.c:7:0:
Python/ast.c: In function ‘ast_for_funcdef_impl’:
./Include/Python-ast.h:484:66: warning: ‘end_col_offset’ may be used uninitialized in this function [-Wmaybe-uninitialized]
 #define FunctionDef(a0, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10) _Py_FunctionDef(a0, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10)
                                                                  ^~~~~~~~~~~~~~~
Python/ast.c:1738:21: note: ‘end_col_offset’ was declared here
     int end_lineno, end_col_offset;
                     ^~~~~~~~~~~~~~
msg335208 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-02-11 11:31
Ivan Levkivskyi fixed the warning with commit 181835d5a9bffee247bc2f7eefc778c1812bc982.

I created bpo-35963 Python/symtable.c: warning: enumeration value ‘FunctionType_kind’ not handled in switch [-Wswitch]" for a remaining warning.
History
Date User Action Args
2019-02-11 11:31:47vstinnersetkeywords: patch, patch, patch

messages: + msg335208
2019-02-10 15:40:20levkivskyisetkeywords: patch, patch, patch
status: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-02-02 13:23:24levkivskyisetkeywords: + patch
stage: patch review
pull_requests: + pull_request11638
2019-02-02 13:23:20levkivskyisetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11637
2019-02-02 13:23:13levkivskyisetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11636
2019-02-01 11:22:41vstinnercreate